import numpy as np
import matplotlib.pyplot as plt
from sklearn.datasets import make_classification
from sklearn.model_selection import train_test_split

# generate noisy synthetic data
X, y = make_classification(n_samples=500, n_features=20, n_informative=5, n_redundant=15, n_clusters_per_class=1, n_classes=5, random_state=42, flip_y=0.1)

# split training and test sets
X_train, X_test, y_train, y_test = train_test_split(X, y, test_size=0.33, random_state=42)

## YOUR CODE HERE
